Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartLocInfo

    java.lang.Object
      jet.report.xls.ChartLocInfo

    public class ChartLocInfo

extends java.lang.Object

contains the information of chart location in the file.

Constructor Summary
`ChartLocInfo()` Constructs a ChartLocInfo class
`ChartLocInfo(short left, short leftOffset, short top, short topOffset, short right, short rightOffset, short bottom, short bottomOffset)` Constructs a ChartLocInfo class and sets its fields appropriately.

Method Summary
`short` | `getBottom()` get bottom row index of chart in the excel
`short` | `getBottomOffset()` get bottom row offset of chart in the excel
`short` | `getLeft()` get left column index of chart in the excel
`short` | `getLeftOffset()` get left column offset of chart in the excel
`short` | `getRight()` get right column index of chart in the excel
`short` | `getRightOffset()` get right column offset of chart in the excel
`short` | `getTop()` get top row index of chart in the excel
`short` | `getTopOffset()` get top row offset of chart in the excel
`void` | `setBottom(short bottom)` set bottom row index of chart in the excel
`void` | `setBottomOffset(short bottomOffset)` set bottom row offset of chart in the excel
`void` | `setLeft(short left)` set left column index of chart in the excel
`void` | `setLeftOffset(short leftOffset)` set left column offset of chart in the excel
`void` | `setRight(short right)` set right column index of chart in the excel
`void` | `setRightOffset(short rightOffset)` set right column offset of chart in the excel
`void` | `setTop(short top)` set top row index of chart in the excel
`void` | `setTopOffset(short topOffset)` set top row offset of chart in the excel

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartLocInfo

    public ChartLocInfo()

  Constructs a ChartLocInfo class

### ChartLocInfo

    public ChartLocInfo(short left,
                        short leftOffset,
                        short top,
                        short topOffset,
                        short right,
                        short rightOffset,
                        short bottom,
                        short bottomOffset)

  Constructs a ChartLocInfo class and sets its fields appropriately.

  Parameters:
    `left` - The left column index of chart in the excel
    `leftOffset` - The left column offset of chart in the excel
    `right` - The right column index of chart in the excel
    `rightOffset` - The right column offset of chart in the excel
    `top` - The top row index of chart in the excel
    `topOffset` - The top row offset of chart in the excel
    `bottom` - The bottom row index of chart in the excel
    `bottomOffset` - The bottom row offset of chart in the excel

Method Detail

### setLeft

    public void setLeft(short left)

  set left column index of chart in the excel

### getLeft

    public short getLeft()

  get left column index of chart in the excel

### setLeftOffset

    public void setLeftOffset(short leftOffset)

  set left column offset of chart in the excel

### getLeftOffset

    public short getLeftOffset()

  get left column offset of chart in the excel

### setRight

    public void setRight(short right)

  set right column index of chart in the excel

### getRight

    public short getRight()

  get right column index of chart in the excel

### setRightOffset

    public void setRightOffset(short rightOffset)

  set right column offset of chart in the excel

### getRightOffset

    public short getRightOffset()

  get right column offset of chart in the excel

### setTop

    public void setTop(short top)

  set top row index of chart in the excel

### getTop

    public short getTop()

  get top row index of chart in the excel

### setTopOffset

    public void setTopOffset(short topOffset)

  set top row offset of chart in the excel

### getTopOffset

    public short getTopOffset()

  get top row offset of chart in the excel

### setBottom

    public void setBottom(short bottom)

  set bottom row index of chart in the excel

### getBottom

    public short getBottom()

  get bottom row index of chart in the excel

### setBottomOffset

    public void setBottomOffset(short bottomOffset)

  set bottom row offset of chart in the excel

### getBottomOffset

    public short getBottomOffset()

  get bottom row offset of chart in the excel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD